discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/sysdep.h Source File

Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# sysdep.h

Go to the documentation of this file.

    00001
    00006 /* $Progeny$
    00007  *
    00008  * AUTHOR: John R. Daily <jdaily@progeny.com>
    00009  *
    00010  * Copyright 2002 Progeny Linux Systems, Inc.
    00011  *
    00012  * Permission is hereby granted, free of charge, to any person obtaining a
    00013  * copy of this software and associated documentation files (the "Software"),
    00014  * to deal in the Software without restriction, including without limitation
    00015  * the rights to use, copy, modify, merge, publish, distribute, sublicense,
    00016  * and/or sell copies of the Software, and to permit persons to whom the
    00017  * Software is furnished to do so, subject to the following conditions:
    00018  *
    00019  * The above copyright notice and this permission notice shall be included in
    00020  * all copies or substantial portions of the Software.
    00021  *
    00022  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    00023  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    00024  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
    00025  * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    00026  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
    00027  * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
    00028  * DEALINGS IN THE SOFTWARE.
    00029  */
    00030
    00031 #ifndef SYSDEP_H
    00032 #define SYSDEP_H
    00033
    00034 #ifdef __cplusplus
    00035     extern "C" {
    00036 #endif
    00037
    00043 typedef struct discover_sysdep_device_data {
    00045     char *path;
    00047     char *value;
    00049     struct discover_sysdep_device_data *next;
    00050 } discover_sysdep_device_data_t;
    00051
    00056 typedef struct discover_sysdep_data {
    00058     char *busclass;
    00060     char *vendor;
    00062     char *model;
    00064     discover_sysdep_device_data_t *data;
    00066     struct discover_sysdep_data *next;
    00067 } discover_sysdep_data_t;
    00068
    00069 discover_sysdep_data_t *_discover_sysdep_data_new(void);
    00070 discover_sysdep_device_data_t *_discover_sysdep_device_data_new(void);
    00071 void _discover_free_sysdep_data(discover_sysdep_data_t *);
    00072 void _discover_free_sysdep_device_data(discover_sysdep_device_data_t *);
    00073
    00074 discover_sysdep_data_t *_discover_get_ata_raw(void);
    00075 discover_sysdep_data_t *_discover_get_pci_raw(void);
    00076 discover_sysdep_data_t *_discover_get_usb_raw(void);
    00077 discover_sysdep_data_t *_discover_get_pcmcia_raw(void);
    00078 discover_sysdep_data_t *_discover_get_scsi_raw(void);
    00079
    00080 #ifdef __cplusplus
    00081     }
    00082 #endif
    00083
    00084 #endif
    00085
    00086 /*
    00087  * Local variables:
    00088  * c-file-style: "progeny"
    00089  * indent-tabs-mode: nil
    00090  * End:
    00091  */
    00092 /* vim: set cin fo=tcroq sw=4 et sts=4 tw=75: */